Skip to main content
Get pipeline metadata
curl --request GET \
  --url https://api.ionworks.com/pipelines/{pipeline_id}
{
  "id": "<string>",
  "project_id": "<string>",
  "name": "<string>",
  "status": "pending",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "user_id": "<string>",
  "description": "<string>",
  "options": {
    "live_progress_updates": true
  },
  "error": "<string>",
  "error_code": "EXECUTION_TIMEOUT",
  "created_by_email": "<string>",
  "organization_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

pipeline_id
string
required

Response

Successful Response

Model for representing a pipeline in API list responses (without elements).

id
string
required
project_id
string
required
name
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
canceled
created_at
string<date-time>
required
updated_at
string<date-time>
required
user_id
string | null
description
string | null
options
PipelineOptions · object

Options for pipeline execution behavior.

error
string | null
error_code
enum<string> | null

Machine-readable error codes for jobs.

Available options:
EXECUTION_TIMEOUT,
SUBMISSION_FAILED
created_by_email
string | null
organization_id
string | null

Organization this pipeline belongs to.